## chroma 1.18-2

=== debian/changelog ===
chroma (1.18-2) unstable; urgency=low

  * Fix copy-paste error in chroma package description (Closes: #984481)

 -- Simon Tatham <anakin@pobox.com>  Thu, 04 Mar 2021 06:54:27 +0000

chroma (1.18-1) unstable; urgency=low

  * Initial release.

 -- Simon Tatham <anakin@pobox.com>  Sat, 16 Jan 2021 14:31:43 +0000

## chroma 1.19-1

=== debian/changelog ===
chroma (1.19-1) unstable; urgency=low

  * New upstream release. (Closes: #997147)

 -- Simon Tatham <anakin@pobox.com>  Tue, 26 Oct 2021 17:43:34 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games

override_dh_auto_build-arch:
	dh_auto_build
	cd resources && ./make-graphics.sh
	cd resources && ../debian/make-debian-icons.py

## chroma hnswlib-0.7.6

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project(hnsw_lib
    LANGUAGES CXX)

add_library(hnswlib INTERFACE)
target_include_directories(hnswlib INTERFACE .) 

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    set(CMAKE_CXX_STANDARD 11)

    if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
      SET( CMAKE_CXX_FLAGS "-Ofast -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -ftree-vectorize")
    elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
      SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -march=native -fpic -w -fopenmp -ftree-vectorize -ftree-vectorizer-verbose=0" )
    elseif (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
      SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -w -fopenmp -ftree-vectorize" )
    endif()

    # examples
    add_executable(example_search examples/cpp/example_search.cpp)
    target_link_libraries(example_search hnswlib)

    add_executable(example_filter examples/cpp/example_filter.cpp)
    target_link_libraries(example_filter hnswlib)

    add_executable(example_replace_deleted examples/cpp/example_replace_deleted.cpp)
    target_link_libraries(example_replace_deleted hnswlib)

    add_executable(example_mt_search examples/cpp/example_mt_search.cpp)
    target_link_libraries(example_mt_search hnswlib)

    add_executable(example_mt_filter examples/cpp/example_mt_filter.cpp)
    target_link_libraries(example_mt_filter hnswlib)

    add_executable(example_mt_replace_deleted examples/cpp/example_mt_replace_deleted.cpp)
    target_link_libraries(example_mt_replace_deleted hnswlib)

    # tests
    add_executable(test_updates tests/cpp/updates_test.cpp)
    target_link_libraries(test_updates hnswlib)

    add_executable(searchKnnCloserFirst_test tests/cpp/searchKnnCloserFirst_test.cpp)
    target_link_libraries(searchKnnCloserFirst_test hnswlib)

    add_executable(searchKnnWithFilter_test tests/cpp/searchKnnWithFilter_test.cpp)
    target_link_libraries(searchKnnWithFilter_test hnswlib)

    add_executable(multiThreadLoad_test tests/cpp/multiThreadLoad_test.cpp)
    target_link_libraries(multiThreadLoad_test hnswlib)

    add_executable(multiThread_replace_test tests/cpp/multiThread_replace_test.cpp)
    target_link_libraries(multiThread_replace_test hnswlib)

    add_executable(main tests/cpp/main.cpp tests/cpp/sift_1b.cpp)
    target_link_libraries(main hnswlib)

    add_executable(getUnormalized_test tests/cpp/getUnormalized_test.cpp)
    target_link_libraries(getUnormalized_test hnswlib)

    add_executable(persistent_test tests/cpp/persistent_test.cpp)
    target_link_libraries(persistent_test hnswlib)
endif()

## chroma 1.19-1ubuntu1

=== debian/changelog ===
chroma (1.19-1ubuntu1) unstable; urgency=low

  * Fix build process to isolate inkscape from $HOME and the GUI.
    (Closes: #997904)
  * Fix generation of images using Inkscape >= 1.0.

 -- Simon Tatham <anakin@pobox.com>  Wed, 27 Oct 2021 18:51:17 +0100

=== debian/control ===
Source: chroma
Maintainer: Simon Tatham <anakin@pobox.com>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               imagemagick,
               inkscape,
               libfreetype-dev,
               libncurses5-dev,
               librsvg2-bin,
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               netpbm,
               pngcrush,
               python3
Standards-Version: 4.5.1.0
Homepage: http://level7.org.uk/chroma/
Rules-Requires-Root: no

Package: chroma-data
Architecture: all
Description: Abstract puzzle game - data files
 This package contains architecture-independent data shared between
 the graphical and terminal versions of Chroma, such as the level
 designs and help.
 .
 This package is not intended to be installed directly. It is a
 dependency of the 'chroma' and 'chroma-curses' packages.

Package: chroma-curses
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         chroma-data
Description: Abstract puzzle game - terminal version
 Chroma is an abstract puzzle game. A variety of colourful shapes are
 arranged in a series of increasingly complex patterns, forming
 fiendish traps that must be disarmed and mysterious puzzles that must
 be manipulated in order to give up their subtle secrets. Initially so
 straightforward that anyone can pick it up and begin to play, yet
 gradually becoming difficult enough to tax even the brightest of
 minds. Have you got what it takes to solve Chroma?
 .
 A graphical version of this game is available in the 'chroma'
 package.

Package: chroma
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         chroma-data,
         fonts-dejavu-core
Description: Abstract puzzle game - graphical version
 Chroma is an abstract puzzle game. A variety of colourful shapes are
 arranged in a series of increasingly complex patterns, forming
 fiendish traps that must be disarmed and mysterious puzzles that must
 be manipulated in order to give up their subtle secrets. Initially so
 straightforward that anyone can pick it up and begin to play, yet
 gradually becoming difficult enough to tax even the brightest of
 minds. Have you got what it takes to solve Chroma?
 .
 A terminal-based version of this game is available in the
 'chroma-curses' package.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 override_dh_auto_build-arch:
 	dh_auto_build
-	cd resources && ./make-graphics.sh
+	cd resources && env HOME=$$PWD GDK_BACKEND= ./make-graphics.sh
 	cd resources && ../debian/make-debian-icons.py

## chroma 1.19-2

=== debian/changelog ===
chroma (1.19-2) unstable; urgency=low

  * No-change upload to cancel NMU re #1007426
    and fix spuriuous "ubuntu" in version.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 11 Dec 2022 17:54:27 +0000

## chroma 1.19-2build1

=== debian/changelog ===
chroma (1.19-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 20:28:33 +0000
